SPOOL InsertTaulesABM.log

-- SCRIPT PER OMPLIR TAULES AMB ELS PROCEDIMENTS ABM --
-- Farem un procediment per cada insercio per guardar el log --
-- activarem dbms_output
SET SERVEROUTPUT ON;

-- Poblaci --
DECLARE
  resultat varchar2(2000);
BEGIN
-- 1
  pkg_abm.prc_alta_poblacio (
      p_nompoblacio    => 'Palma de Mallorca',
      p_idpais         => 1,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 2
  pkg_abm.prc_alta_poblacio (
      p_nompoblacio    => 'Barcelona',
      p_idpais         => 1,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 3
  pkg_abm.prc_alta_poblacio (
      p_nompoblacio    => 'Madrid',
      p_idpais         => 1,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 4
  pkg_abm.prc_alta_poblacio (
      p_nompoblacio    => 'Nueva York',
      p_idpais         => 7,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN  
-- 5
  pkg_abm.prc_alta_poblacio (
      p_nompoblacio    => 'Paris',
      p_idpais         => 2,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 6
  pkg_abm.prc_alta_poblacio (
      p_nompoblacio    => 'Roma',
      p_idpais         => 5,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 7
  pkg_abm.prc_alta_poblacio (
      p_nompoblacio    => 'Amsterdam',
      p_idpais         => 6,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
  
-- Localitat --
DECLARE
  resultat varchar2(200);
BEGIN
-- 1
  pkg_abm.prc_alta_localitat (
      p_nomlocalitat   => 'Rafal', 
      p_idpoblacio     => 1,
      p_codpostal      => 07008,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 2
  pkg_abm.prc_alta_localitat (
      p_nomlocalitat   => 'Arenal', 
      p_idpoblacio     => 1,
      p_codpostal      => 07007,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 3
  pkg_abm.prc_alta_localitat (
      p_nomlocalitat   => 'Zona Avingudes', 
      p_idpoblacio     => 1,
      p_codpostal      => 07001,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 4
  pkg_abm.prc_alta_localitat (
      p_nomlocalitat   => 'Montjuic', 
      p_idpoblacio     => 2,
      p_codpostal      => 08004,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 5
  pkg_abm.prc_alta_localitat (
      p_nomlocalitat   => 'Igualada', 
      p_idpoblacio     => 2,
      p_codpostal      => 08700,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 6
  pkg_abm.prc_alta_localitat (
      p_nomlocalitat   => 'Carabanchel Bajo', 
      p_idpoblacio     => 3,
      p_codpostal      => 28044,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 7
  pkg_abm.prc_alta_localitat (
      p_nomlocalitat   => 'Casa de Campo', 
      p_idpoblacio     => 3,
      p_codpostal      => 28011,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 8
  pkg_abm.prc_alta_localitat (
      p_nomlocalitat   => 'Barceloneta', 
      p_idpoblacio     => 2,
      p_codpostal      => 08003,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/

-- Client --
DECLARE
  resultat varchar2(200);
BEGIN
-- 1
  pkg_abm.prc_alta_client (
      p_nif            => '11111111A',
      p_tipusclient    => 1,
      p_nom            => 'Gabriel',
      p_cognom1        => 'Estela',
      p_cognom2        => 'Hernandez',
      p_data_naixement => TO_DATE('26/10/1983'),
      p_direccio       => 'C\ Arago 123, 2B',
      p_idlocalitat    => 1,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);   
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 2
  pkg_abm.prc_alta_client (
      p_nif            => '22222222B',
      p_tipusclient    => 1,
      p_nom            => 'Antonio',
      p_cognom1        => 'Tllez',
      p_cognom2        => 'Fernandez',
      p_data_naixement => TO_DATE('25/04/1983'),
      p_direccio       => 'C\ Marbella, 2, 1K',
      p_idlocalitat    => 2,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 3
  pkg_abm.prc_alta_client (
      p_nif            => 'A12345678',
      p_tipusclient    => 2,
      p_nom            => 'Globalia Sistemas',
      p_cognom1        => Null,
      p_cognom2        => Null,
      p_data_naixement => TO_DATE('25/04/1990'),
      p_direccio       => 'C\ Francisco Martin, SN.',
      p_idlocalitat    => 7,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);   
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 4
  pkg_abm.prc_alta_client (
      p_nif            => '11113211X',
      p_tipusclient    => 1,
      p_nom            => 'Fernando',
      p_cognom1        => 'Rios',
      p_cognom2        => 'LLamazares',
      p_data_naixement => TO_DATE('06/01/1980'),
      p_direccio       => 'C\ Llucmajor, 4, 1B',
      p_idlocalitat    => 3,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);   
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 5
  pkg_abm.prc_alta_client (
      p_nif            => '11122268M',
      p_tipusclient    => 1,
      p_nom            => 'Patricia',
      p_cognom1        => 'Fidalgo',
      p_cognom2        => 'Rossello',
      p_data_naixement => TO_DATE('16/12/1981'),
      p_direccio       => 'C\ Vilanueva Cortes, 14 2B',
      p_idlocalitat    => 3,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 6
  pkg_abm.prc_alta_client (
      p_nif            => 'A87654321',
      p_tipusclient    => 2,
      p_nom            => 'Gestorias Obrador',
      p_cognom1        => Null,
      p_cognom2        => Null,
      p_data_naixement => TO_DATE('08/11/1991'),
      p_direccio       => 'C\ Garcia Estrada, 2',
      p_idlocalitat    => 7,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);   
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 7
  pkg_abm.prc_alta_client (
      p_nif            => '78122238H',
      p_tipusclient    => 1,
      p_nom            => 'Francisco',
      p_cognom1        => 'Garcia',
      p_cognom2        => 'Jimnez',
      p_data_naixement => TO_DATE('12/04/1969'),
      p_direccio       => 'C\ Paris, 2, 4A',
      p_idlocalitat    => 1,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);   
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 8
  pkg_abm.prc_alta_client (
      p_nif            => '12358924B',
      p_tipusclient    => 1,
      p_nom            => 'Jose',
      p_cognom1        => 'Cervantes',
      p_cognom2        => 'Marti',
      p_data_naixement => TO_DATE('09/08/1983'),
      p_direccio       => 'C\ Damaso, 23, 51',
      p_idlocalitat    => 2,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 9
  pkg_abm.prc_alta_client (
      p_nif            => 'B43215678',
      p_tipusclient    => 2,
      p_nom            => 'Videoteca Videofun',
      p_cognom1        => Null,
      p_cognom2        => Null,
      p_data_naixement => TO_DATE('05/03/2000'),
      p_direccio       => 'C\ Franquesa, 3',
      p_idlocalitat    => 6,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);   
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 10
  pkg_abm.prc_alta_client (
      p_nif            => '56352235F',
      p_tipusclient    => 1,
      p_nom            => 'Juan Manuel',
      p_cognom1        => 'Perez',
      p_cognom2        => 'Barcenas',
      p_data_naixement => TO_DATE('06/01/1956'),
      p_direccio       => 'C\ Miranda, 5, 6C',
      p_idlocalitat    => 6,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);   
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 11
  pkg_abm.prc_alta_client (
      p_nif            => '87659212D',
      p_tipusclient    => 1,
      p_nom            => 'Maria',
      p_cognom1        => 'Roca',
      p_cognom2        => 'Toledo',
      p_data_naixement => TO_DATE('18/02/1965'),
      p_direccio       => 'C\ San German, 32 4A',
      p_idlocalitat    => 2,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 12
  pkg_abm.prc_alta_client (
      p_nif            => 'T67432127',
      p_tipusclient    => 2,
      p_nom            => 'Herreria Fernandez',
      p_cognom1        => Null,
      p_cognom2        => Null,
      p_data_naixement => TO_DATE('01/10/1956'),
      p_direccio       => 'C\ Francisco Zapata, 4',
      p_idlocalitat    => 6,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);   
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 13
  pkg_abm.prc_alta_client (
      p_nif            => '24622365L',
      p_tipusclient    => 1,
      p_nom            => 'Fernando',
      p_cognom1        => 'Torres',
      p_cognom2        => 'Garcia',
      p_data_naixement => TO_DATE('17/09/1973'),
      p_direccio       => 'C\ Herreros, 1C',
      p_idlocalitat    => 1,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);   
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 14
  pkg_abm.prc_alta_client (
      p_nif            => '43168512C',
      p_tipusclient    => 1,
      p_nom            => 'Yolanda',
      p_cognom1        => 'Miro',
      p_cognom2        => 'Rosar',
      p_data_naixement => TO_DATE('29/06/1972'),
      p_direccio       => 'C\ Jesus, 2, 1B',
      p_idlocalitat    => 3,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 15
  pkg_abm.prc_alta_client (
      p_nif            => 'A76234675',
      p_tipusclient    => 2,
      p_nom            => 'Puertas Sanz',
      p_cognom1        => Null,
      p_cognom2        => Null,
      p_data_naixement => TO_DATE('01/08/1989'),
      p_direccio       => 'C\ Ripoll, 10',
      p_idlocalitat    => 7,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);   
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 16
  pkg_abm.prc_alta_client (
      p_nif            => '23436279X',
      p_tipusclient    => 1,
      p_nom            => 'Gustavo',
      p_cognom1        => 'Siviero',
      p_cognom2        => 'Llaneza',
      p_data_naixement => TO_DATE('16/05/1972'),
      p_direccio       => 'C\ Balear, 2, 2B',
      p_idlocalitat    => 1,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);   
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 17
  pkg_abm.prc_alta_client (
      p_nif            => '11427378Y',
      p_tipusclient    => 1,
      p_nom            => 'Beatriz',
      p_cognom1        => 'Gutierrez',
      p_cognom2        => 'Garcia',
      p_data_naixement => TO_DATE('16/07/1978'),
      p_direccio       => 'C\ Terreno, 10 1A',
      p_idlocalitat    => 2,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 18
  pkg_abm.prc_alta_client (
      p_nif            => 'B14378211',
      p_tipusclient    => 2,
      p_nom            => 'Construcciones Alvarez',
      p_cognom1        => Null,
      p_cognom2        => Null,
      p_data_naixement => TO_DATE('08/06/1961'),
      p_direccio       => 'C\ Eusebio Estada, 12',
      p_idlocalitat    => 6,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);   
END;
/

-- central_produccio --
DECLARE
  resultat varchar2(200);
BEGIN
-- 1
  pkg_abm.prc_alta_central_produccio (
      p_idtipusprod    => 1,
      p_direccio       => 'C\ Manacor 23, SN',
      p_idlocalitat    => 1,
      p_data_it        => TO_DATE('10/03/2011'),
      p_atribut_1      => 1000,
      p_atribut_2      => 100,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 2
  pkg_abm.prc_alta_central_produccio (
      p_idtipusprod    => 2,
      p_direccio       => 'C\ Sindicat, SN',
      p_idlocalitat    => 2,
      p_data_it        => TO_DATE('15/04/2010'),
      p_atribut_1      => 100,
      p_atribut_2      => Null,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 3
  pkg_abm.prc_alta_central_produccio (
      p_idtipusprod    => 3,
      p_direccio       => 'C\ San Miguel, 21',
      p_idlocalitat    => 3,
      p_data_it        => TO_DATE('22/05/2003'),
      p_atribut_1      => 200,
      p_atribut_2      => Null,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 4
  pkg_abm.prc_alta_central_produccio (
      p_idtipusprod    => 3,
      p_direccio       => 'C\ Castellana, SN',
      p_idlocalitat    => 6,
      p_data_it        => TO_DATE('20/03/2009'),
      p_atribut_1      => 200,
      p_atribut_2      => Null,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/

DECLARE
  resultat varchar2(200);
BEGIN
-- 5
  pkg_abm.prc_alta_central_produccio (
      p_idtipusprod    => 1,
      p_direccio       => 'C\ Castilla, SN',
      p_idlocalitat    => 6,
      p_data_it        => TO_DATE('20/04/2010'),
      p_atribut_1      => 200,
      p_atribut_2      => 100,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 6
  pkg_abm.prc_alta_central_produccio (
      p_idtipusprod    => 3,
      p_direccio       => 'Plaza Herrera, 1',
      p_idlocalitat    => 6,
      p_data_it        => TO_DATE('21/12/2009'),
      p_atribut_1      => 400,
      p_atribut_2      => Null,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/

-- Linia_comunicacio
DECLARE
  resultat varchar2(200);
BEGIN
-- 1
  pkg_abm.prc_alta_linia_comunicacio (
      p_idcentralprod  => 1,
      p_capacitat_max  => 4000,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 2
  pkg_abm.prc_alta_linia_comunicacio (
      p_idcentralprod  => 1,
      p_capacitat_max  => 5500,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 3
  pkg_abm.prc_alta_linia_comunicacio (
      p_idcentralprod  => 2,
      p_capacitat_max  => 6000,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 4
  pkg_abm.prc_alta_linia_comunicacio (
      p_idcentralprod  => 3,
      p_capacitat_max  => 7500,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/

DECLARE
  resultat varchar2(200);
BEGIN
-- 5
  pkg_abm.prc_alta_linia_comunicacio (
      p_idcentralprod  => 4,
      p_capacitat_max  => 4000,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 6
  pkg_abm.prc_alta_linia_comunicacio (
      p_idcentralprod  => 4,
      p_capacitat_max  => 5500,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 7
  pkg_abm.prc_alta_linia_comunicacio (
      p_idcentralprod  => 5,
      p_capacitat_max  => 6000,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 8
  pkg_abm.prc_alta_linia_comunicacio (
      p_idcentralprod  => 6,
      p_capacitat_max  => 7500,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 9
  pkg_abm.prc_alta_linia_comunicacio (
      p_idcentralprod  => 1,
      p_capacitat_max  => 600,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 10
  pkg_abm.prc_alta_linia_comunicacio (
      p_idcentralprod  => 1,
      p_capacitat_max  => 500,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 11
  pkg_abm.prc_alta_linia_comunicacio (
      p_idcentralprod  => 2,
      p_capacitat_max  => 400,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 12
  pkg_abm.prc_alta_linia_comunicacio (
      p_idcentralprod  => 3,
      p_capacitat_max  => 750,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/

DECLARE
  resultat varchar2(200);
BEGIN
-- 13
  pkg_abm.prc_alta_linia_comunicacio (
      p_idcentralprod  => 4,
      p_capacitat_max  => 300,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 14
  pkg_abm.prc_alta_linia_comunicacio (
      p_idcentralprod  => 4,
      p_capacitat_max  => 550,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 15
  pkg_abm.prc_alta_linia_comunicacio (
      p_idcentralprod  => 5,
      p_capacitat_max  => 370,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 16
  pkg_abm.prc_alta_linia_comunicacio (
      p_idcentralprod  => 6,
      p_capacitat_max  => 350,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/

-- central_distribucio --
DECLARE
  resultat varchar2(200);
BEGIN
-- 1
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 1,
      p_direccio       => 'C\ Montserrat n 47',
      p_idlocalitat    => 1,
      p_energia_max    => 500,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 2
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 1,
      p_direccio       => 'C\ Naranjo n 10',
      p_idlocalitat    => 1,
      p_energia_max    => 600,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 3
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 4,
      p_direccio       => 'C\ San Rafael n 2',
      p_idlocalitat    => 2,
      p_energia_max    => 750,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 4
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 4,
      p_direccio       => 'C\ San Isidro n 2',
      p_idlocalitat    => 6,
      p_energia_max    => 750,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 5
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 2,
      p_direccio       => 'C\ Forteza n 4',
      p_idlocalitat    => 1,
      p_energia_max    => 500,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 6
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 3,
      p_direccio       => 'C\ Ametller n 12',
      p_idlocalitat    => 1,
      p_energia_max    => 600,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 7
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 5,
      p_direccio       => 'C\ Franca n 3',
      p_idlocalitat    => 2,
      p_energia_max    => 750,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 8
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 6,
      p_direccio       => 'C\ Segovia n 2',
      p_idlocalitat    => 6,
      p_energia_max    => 750,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 9
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 3,
      p_direccio       => 'C\ Darder n 7',
      p_idlocalitat    => 1,
      p_energia_max    => 500,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 10
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 5,
      p_direccio       => 'C\ Salado n 3',
      p_idlocalitat    => 1,
      p_energia_max    => 600,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 11
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 6,
      p_direccio       => 'C\ Taborda n 23',
      p_idlocalitat    => 2,
      p_energia_max    => 750,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 12
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 1,
      p_direccio       => 'C\ Santa Monica n 2',
      p_idlocalitat    => 6,
      p_energia_max    => 750,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 13
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 1,
      p_direccio       => 'C\ Tarragona n 47',
      p_idlocalitat    => 1,
      p_energia_max    => 500,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 14
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 5,
      p_direccio       => 'C\ Cordoba n 10',
      p_idlocalitat    => 1,
      p_energia_max    => 600,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 15
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 4,
      p_direccio       => 'C\ Bernabeu n 12',
      p_idlocalitat    => 2,
      p_energia_max    => 750,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 16
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 4,
      p_direccio       => 'C\ Puebla n 2',
      p_idlocalitat    => 6,
      p_energia_max    => 750,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 17
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 7,
      p_direccio       => 'C\ Plaza Progreso n 4',
      p_idlocalitat    => 6,
      p_energia_max    => 450,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 18
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 8,
      p_direccio       => 'C\ Numancia n 27',
      p_idlocalitat    => 1,
      p_energia_max    => 400,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 19
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 9,
      p_direccio       => 'C\ San Magn n 10',
      p_idlocalitat    => 1,
      p_energia_max    => 300,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 20
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 10,
      p_direccio       => 'C\ Castilla n 2',
      p_idlocalitat    => 2,
      p_energia_max    => 150,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 21
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 11,
      p_direccio       => 'C\ Gamarra n 22',
      p_idlocalitat    => 6,
      p_energia_max    => 250,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 22
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 12,
      p_direccio       => 'C\ Prieto n 30',
      p_idlocalitat    => 1,
      p_energia_max    => 300,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 23
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 13,
      p_direccio       => 'C\ Manuel Herrero n 12',
      p_idlocalitat    => 2,
      p_energia_max    => 250,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 24
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 14,
      p_direccio       => 'C\ Hiroshima n 12',
      p_idlocalitat    => 6,
      p_energia_max    => 250,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 25
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 15,
      p_direccio       => 'C\ Ramn Langa n 23',
      p_idlocalitat    => 2,
      p_energia_max    => 350,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 26
  pkg_abm.prc_alta_central_distribucio (
      p_idlinia        => 16,
      p_direccio       => 'C\ Luis Cano n 14',
      p_idlocalitat    => 6,
      p_energia_max    => 150,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/

-- Comptador --
DECLARE
  resultat varchar2(200);
BEGIN
-- 1
  pkg_abm.prc_alta_comptador (
      p_nif            => '11111111A',
      p_potencia       => 14,
      p_direccio       => 'C\ Ametller, n 30',
      p_idlocalitat    => 1,
      p_idmodel        => 2,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 2
  pkg_abm.prc_alta_comptador (
      p_nif            => '22222222B',
      p_potencia       => 13,
      p_direccio       => 'C\ San Fernando, SN',
      p_idlocalitat    => 2,
      p_idmodel        => 3,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 3
  pkg_abm.prc_alta_comptador (
      p_nif            => 'A12345678',
      p_potencia       => 15,
      p_direccio       => 'Plaza Serrano, SN',
      p_idlocalitat    => 6,
      p_idmodel        => 4,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 4
  pkg_abm.prc_alta_comptador (
      p_nif            => '11113211X',
      p_potencia       => 22,
      p_direccio       => 'C\ Tablada, n 56',
      p_idlocalitat    => 1,
      p_idmodel        => 2,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 5
  pkg_abm.prc_alta_comptador (
      p_nif            => '11122268M',
      p_potencia       => 13,
      p_direccio       => 'C\ Cabanas, SN',
      p_idlocalitat    => 2,
      p_idmodel        => 3,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 6
  pkg_abm.prc_alta_comptador (
      p_nif            => 'A87654321',
      p_potencia       => 17,
      p_direccio       => 'Plaza Francia, SN',
      p_idlocalitat    => 6,
      p_idmodel        => 4,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 7
  pkg_abm.prc_alta_comptador (
      p_nif            => '78122238H',
      p_potencia       => 19,
      p_direccio       => 'C\ Rebassa, n 8',
      p_idlocalitat    => 2,
      p_idmodel        => 1,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 8
  pkg_abm.prc_alta_comptador (
      p_nif            => '12358924B',
      p_potencia       => 12,
      p_direccio       => 'C\ Yedra, 78',
      p_idlocalitat    => 3,
      p_idmodel        => 1,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 9
  pkg_abm.prc_alta_comptador (
      p_nif            => 'B43215678',
      p_potencia       => 10,
      p_direccio       => 'Plaza Noguera, 1',
      p_idlocalitat    => 6,
      p_idmodel        => 1,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 10
  pkg_abm.prc_alta_comptador (
      p_nif            => '56352235F',
      p_potencia       => 14,
      p_direccio       => 'C\ Herreros, n 5',
      p_idlocalitat    => 4,
      p_idmodel        => 2,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 11
  pkg_abm.prc_alta_comptador (
      p_nif            => '87659212D',
      p_potencia       => 19,
      p_direccio       => 'C\ Rotado, 7',
      p_idlocalitat    => 5,
      p_idmodel        => 3,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 12
  pkg_abm.prc_alta_comptador (
      p_nif            => 'T67432127',
      p_potencia       => 12,
      p_direccio       => 'Plaza Histeria, SN',
      p_idlocalitat    => 6,
      p_idmodel        => 4,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 13
  pkg_abm.prc_alta_comptador (
      p_nif            => '43168512C',
      p_potencia       => 20,
      p_direccio       => 'C\ Brcenas, n 30',
      p_idlocalitat    => 1,
      p_idmodel        => 2,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 14
  pkg_abm.prc_alta_comptador (
      p_nif            => '11427378Y',
      p_potencia       => 24,
      p_direccio       => 'C\ Conde Sallent, SN',
      p_idlocalitat    => 2,
      p_idmodel        => 3,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 15
  pkg_abm.prc_alta_comptador (
      p_nif            => '23436279X',
      p_potencia       => 17,
      p_direccio       => 'Plaza Rialto, SN',
      p_idlocalitat    => 6,
      p_idmodel        => 4,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 16
  pkg_abm.prc_alta_comptador (
      p_nif            => 'A76234675',
      p_potencia       => 23,
      p_direccio       => 'C\ Quesada, n 56',
      p_idlocalitat    => 1,
      p_idmodel        => 2,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 17
  pkg_abm.prc_alta_comptador (
      p_nif            => 'B14378211',
      p_potencia       => 22,
      p_direccio       => 'C\ Puerta Pintada, SN',
      p_idlocalitat    => 2,
      p_idmodel        => 3,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/
--
DECLARE
  resultat varchar2(200);
BEGIN
-- 18
  pkg_abm.prc_alta_comptador (
      p_nif            => '24622365L',
      p_potencia       => 20,
      p_direccio       => 'Plaza Mantilla, SN',
      p_idlocalitat    => 6,
      p_idmodel        => 4,
      rsp              => resultat
  );
  dbms_output.put_line(resultat);
END;
/

COMMIT;

SET SERVEROUTPUT OFF;

spool off;